%global plugin_name handlebars

Summary:    Handlebars module plugin for Jenkins
Name:       jenkins-plugin-%{plugin_name}
Version:    1.1.1
Release:    1%{?dist}
License:    MIT
URL:        https://wiki.jenkins-ci.org/display/JENKINS/Handlebars.js
# AltURL:   https://github.com/jenkinsci/js-libs/tree/master/handlebars
Source0:    https://updates.jenkins-ci.org/download/plugins/%{plugin_name}/%{version}/%{plugin_name}.hpi
Requires:   jenkins >= 1.580.1

%description
Handlebars provides the power necessary to let you build 
semantic templates effectively with no frustration.

Handlebars is largely compatible with Mustache templates. 
In most cases it is possible to swap out Mustache with 
Handlebars and continue using your current templates.

import this bundle into your application bundle 
instead of bundling Handlebars in your application bundle, 
making your app bundle considerably lighter.

%prep


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/jenkins/
cp %{SOURCE0} $RPM_BUILD_ROOT/%{_libdir}/jenkins/


%files
%{_libdir}/jenkins/%{plugin_name}.hpi

%changelog
* Tue Jun 14 2016 Troy Dawson <tdawson@redhat.com> - 1.1.1-1
- Initial package
